/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { ApiGatewayV2Configuration, ApiGatewayV2ResolvedConfiguration } from "./ApiGatewayV2Configuration";
import { InputTypesUnion } from "./types/InputTypesUnion";
import { OutputTypesUnion } from "./types/OutputTypesUnion";
export declare class ApiGatewayV2Client implements __aws_sdk_types.AWSClient<InputTypesUnion, OutputTypesUnion, _stream.Readable> {
    readonly config: ApiGatewayV2ResolvedConfiguration;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>;
    constructor(configuration: ApiGatewayV2Configuration);
    destroy(): void;
    /**
     * This will need to be revised when the command interface lands.
     */
    send<InputType extends InputTypesUnion, OutputType extends OutputTypesUnion>(command: __aws_sdk_types.Command<InputTypesUnion, InputType, OutputTypesUnion, OutputType, ApiGatewayV2ResolvedConfiguration, _stream.Readable>): Promise<OutputType>;
    send<InputType extends InputTypesUnion, OutputType extends OutputTypesUnion>(command: __aws_sdk_types.Command<InputTypesUnion, InputType, OutputTypesUnion, OutputType, ApiGatewayV2ResolvedConfiguration, _stream.Readable>, cb: (err: any, data?: OutputType) => void): void;
}
