"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateIntegration_1 = require("../model/operations/CreateIntegration");
class CreateIntegrationCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateIntegration_1.CreateIntegration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateIntegrationCommand = CreateIntegrationCommand;
//# sourceMappingURL=CreateIntegrationCommand.js.map