"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteRouteResponse_1 = require("../model/operations/DeleteRouteResponse");
class DeleteRouteResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteRouteResponse_1.DeleteRouteResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteRouteResponseCommand = DeleteRouteResponseCommand;
//# sourceMappingURL=DeleteRouteResponseCommand.js.map