"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetApiMappings_1 = require("../model/operations/GetApiMappings");
class GetApiMappingsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetApiMappings_1.GetApiMappings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetApiMappingsCommand = GetApiMappingsCommand;
//# sourceMappingURL=GetApiMappingsCommand.js.map