"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDeploymentInput_1 = require("../shapes/CreateDeploymentInput");
const CreateDeploymentOutput_1 = require("../shapes/CreateDeploymentOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDeployment",
    http: {
        method: "POST",
        requestUri: "/v2/apis/{apiId}/deployments"
    },
    input: {
        shape: CreateDeploymentInput_1.CreateDeploymentInput
    },
    output: {
        shape: CreateDeploymentOutput_1.CreateDeploymentOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateDeployment.js.map