"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteApiInput_1 = require("../shapes/DeleteApiInput");
const DeleteApiOutput_1 = require("../shapes/DeleteApiOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteApi",
    http: {
        method: "DELETE",
        requestUri: "/v2/apis/{apiId}"
    },
    input: {
        shape: DeleteApiInput_1.DeleteApiInput
    },
    output: {
        shape: DeleteApiOutput_1.DeleteApiOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteApi.js.map