"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteModelInput_1 = require("../shapes/DeleteModelInput");
const DeleteModelOutput_1 = require("../shapes/DeleteModelOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteModel",
    http: {
        method: "DELETE",
        requestUri: "/v2/apis/{apiId}/models/{modelId}"
    },
    input: {
        shape: DeleteModelInput_1.DeleteModelInput
    },
    output: {
        shape: DeleteModelOutput_1.DeleteModelOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteModel.js.map