"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteStageInput_1 = require("../shapes/DeleteStageInput");
const DeleteStageOutput_1 = require("../shapes/DeleteStageOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteStage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteStage",
    http: {
        method: "DELETE",
        requestUri: "/v2/apis/{apiId}/stages/{stageName}"
    },
    input: {
        shape: DeleteStageInput_1.DeleteStageInput
    },
    output: {
        shape: DeleteStageOutput_1.DeleteStageOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteStage.js.map