"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetAuthorizersInput_1 = require("../shapes/GetAuthorizersInput");
const GetAuthorizersOutput_1 = require("../shapes/GetAuthorizersOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAuthorizers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAuthorizers",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/authorizers"
    },
    input: {
        shape: GetAuthorizersInput_1.GetAuthorizersInput
    },
    output: {
        shape: GetAuthorizersOutput_1.GetAuthorizersOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetAuthorizers.js.map