"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetDeploymentsInput_1 = require("../shapes/GetDeploymentsInput");
const GetDeploymentsOutput_1 = require("../shapes/GetDeploymentsOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDeployments = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDeployments",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/deployments"
    },
    input: {
        shape: GetDeploymentsInput_1.GetDeploymentsInput
    },
    output: {
        shape: GetDeploymentsOutput_1.GetDeploymentsOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetDeployments.js.map