"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetModelInput_1 = require("../shapes/GetModelInput");
const GetModelOutput_1 = require("../shapes/GetModelOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetModel",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/models/{modelId}"
    },
    input: {
        shape: GetModelInput_1.GetModelInput
    },
    output: {
        shape: GetModelOutput_1.GetModelOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetModel.js.map