"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TagResourceInput_1 = require("../shapes/TagResourceInput");
const TagResourceOutput_1 = require("../shapes/TagResourceOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/v2/tags/{resource-arn}"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=TagResource.js.map