"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateDomainNameInput_1 = require("../shapes/UpdateDomainNameInput");
const UpdateDomainNameOutput_1 = require("../shapes/UpdateDomainNameOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateDomainName = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateDomainName",
    http: {
        method: "PATCH",
        requestUri: "/v2/domainnames/{domainName}"
    },
    input: {
        shape: UpdateDomainNameInput_1.UpdateDomainNameInput
    },
    output: {
        shape: UpdateDomainNameOutput_1.UpdateDomainNameOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateDomainName.js.map