"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateRouteInput_1 = require("../shapes/UpdateRouteInput");
const UpdateRouteOutput_1 = require("../shapes/UpdateRouteOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateRoute = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateRoute",
    http: {
        method: "PATCH",
        requestUri: "/v2/apis/{apiId}/routes/{routeId}"
    },
    input: {
        shape: UpdateRouteInput_1.UpdateRouteInput
    },
    output: {
        shape: UpdateRouteOutput_1.UpdateRouteOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateRoute.js.map