"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _IdentitySourceList_1 = require("./_IdentitySourceList");
const _ProviderArnList_1 = require("./_ProviderArnList");
exports.CreateAuthorizerInput = {
    type: "structure",
    required: [
        "ApiId",
        "AuthorizerUri",
        "AuthorizerType",
        "IdentitySource",
        "Name"
    ],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        AuthorizerCredentialsArn: {
            shape: {
                type: "string"
            },
            locationName: "authorizerCredentialsArn"
        },
        AuthorizerResultTtlInSeconds: {
            shape: {
                type: "integer",
                min: -2147483648
            },
            locationName: "authorizerResultTtlInSeconds"
        },
        AuthorizerType: {
            shape: {
                type: "string"
            },
            locationName: "authorizerType"
        },
        AuthorizerUri: {
            shape: {
                type: "string"
            },
            locationName: "authorizerUri"
        },
        IdentitySource: {
            shape: _IdentitySourceList_1._IdentitySourceList,
            locationName: "identitySource"
        },
        IdentityValidationExpression: {
            shape: {
                type: "string"
            },
            locationName: "identityValidationExpression"
        },
        Name: {
            shape: {
                type: "string"
            },
            locationName: "name"
        },
        ProviderArns: {
            shape: _ProviderArnList_1._ProviderArnList,
            locationName: "providerArns"
        }
    }
};
//# sourceMappingURL=CreateAuthorizerInput.js.map