"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _AccessLogSettings_1 = require("./_AccessLogSettings");
const _RouteSettings_1 = require("./_RouteSettings");
const _RouteSettingsMap_1 = require("./_RouteSettingsMap");
const _StageVariablesMap_1 = require("./_StageVariablesMap");
exports.UpdateStageInput = {
    type: "structure",
    required: ["StageName", "ApiId"],
    members: {
        AccessLogSettings: {
            shape: _AccessLogSettings_1._AccessLogSettings,
            locationName: "accessLogSettings"
        },
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        ClientCertificateId: {
            shape: {
                type: "string"
            },
            locationName: "clientCertificateId"
        },
        DefaultRouteSettings: {
            shape: _RouteSettings_1._RouteSettings,
            locationName: "defaultRouteSettings"
        },
        DeploymentId: {
            shape: {
                type: "string"
            },
            locationName: "deploymentId"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        RouteSettings: {
            shape: _RouteSettingsMap_1._RouteSettingsMap,
            locationName: "routeSettings"
        },
        StageName: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "stageName"
        },
        StageVariables: {
            shape: _StageVariablesMap_1._StageVariablesMap,
            locationName: "stageVariables"
        }
    }
};
//# sourceMappingURL=UpdateStageInput.js.map